%global debug_package %{nil}

%global srcname CTPL

%global common_description %{expand:
CTPL is a modern and efficient C++ Thread Pool Library.}

Name:           ctpl-cpp
Version:        0.0.2
%global srcversion ctpl_v.%{version}
Release:        %autorelease
Summary:        Modern and efficient C++ Thread Pool Library 

License:        Apache-2.0
URL:            https://github.com/vit-vit/CTPL
Source:         %{url}/archive/%{srcversion}/%{srcname}-%{srcversion}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  boost-devel

# Fails to build due to
# /usr/include/c++/14/atomic:302:(.text+0x4952): undefined reference to `__atomic_load_16'
ExcludeArch:    s390x

%description    %{common_description}

%package        devel
Summary:        %{summary}
Requires:       boost-devel
# Headers are the same on all arches
Provides:       %{name}-static = %{version}-%{release}
BuildArch:      noarch

%description    devel %{common_description}

%prep
%autosetup -n %{srcname}-%{srcversion} -p1

%build
$CXX -I. $CXXFLAGS -o ctpl-example $LDFLAGS example.cpp 

%install
install -Dpm0644 -t %{buildroot}%{_includedir}/ ctpl.h ctpl_stl.h

%check
./ctpl-example

%files devel
%license LICENSE
%doc README.md
%{_includedir}/ctpl.h
%{_includedir}/ctpl_stl.h

%changelog
%autochangelog
